Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/24000/?format=api
{ "ob_id": 24000, "uuid": "29704dd12685405ba7c514513b011b2b", "title": "UKCP09: UK temperature projections from low, medium and high emissions scenarios' equivalent global temperature changes", "abstract": "The UK Climate Projections 2009 (UKCP09) projections of temperature from low, medium and high emissions scenarios' equivalent global temperature changes. They are probabilistic climate predictions based on families of runs of the Met Office Hadley Centre climate models HadCM3, HadRM3 and HadSM3, plus climate models from other climate centres contributing to IPCC AR4 and CMIP3.\r\n\r\nThe equivalent changes in global temperatures are taken from three emissions scenarios: low (IPCC SRES: B1), medium (IPCC SRES: A1B), and high (IPCC SRES: A1FI). Each scenario provides estimates over seven 30 year period averages: 2010-2039, 2030s = 2020-2049, 2040s = 2030-2059, 2050s = 2040-2069, 2060s = 2050-2079, 2070s = 2060-2089, 2080s = 2070-2099. Temperature changes are given relative to 1961-1990.", "keywords": "UKCP09, UK, temperature, climate projections", "publicationState": "published", "dataPublishedTime": "2017-09-05T13:03:16", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/24008/?format=api", "dataPath": "/badc/ukcp09/data/projections/global_temp", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 2595042, "numberOfFiles": 22, "fileFormat": "The data are provided in NetCDF format and adhere to v1.0 of the CF data conventions" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/6537/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/674/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/7562/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/51981/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/56064/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/61116/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/61117/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/61118/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/61119/?format=api" ], "dataLineage": "Original data were produced by the Met Office as part of the UKCP09 service before preparation for archival with the Centre for Environmental Data Analysis (CEDA.)", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/12930/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/23999/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/98499/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/98501/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/98502/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/98503/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/98504/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/98508/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/98505/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/98507/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/98500/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/98506/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/168557/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/24015/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }